# Class UniversalAddress

#### Hierarchy

- UniversalAddress

#### Implements

- Address

- Defined in definitions/src/universalAddress.ts:17

#####
Index

### Constructors

constructor

### Properties

address
byteSize
type

### Methods

equals
toNative
toString
toUint8Array
toUniversalAddress
unwrap
instanceof
isValidAddress
stringToUint8Array

## Constructors

### constructor

- new UniversalAddress(address, format?): UniversalAddress

- #### Parameters

  - ##### address: string | Uint8Array

  - ##### format: "hex" | "base58" | "bech32" | "algorandAppId" | "sha256" = "hex"

  #### Returns UniversalAddress

  - Defined in definitions/src/universalAddress.ts:23

## Properties

### `Private` `Readonly` address

address: Uint8Array

- Defined in definitions/src/universalAddress.ts:21

### `Static` `Readonly` byteSize

byteSize: 32 = 32

- Defined in definitions/src/universalAddress.ts:18

### `Static` `Readonly` type

type: string = "Universal"

- Defined in definitions/src/universalAddress.ts:19

## Methods

### equals

- equals(other): boolean

- #### Parameters

  - ##### other: UniversalAddress

  #### Returns boolean

  - Defined in definitions/src/universalAddress.ts:45

### toNative

- toNative<T>(chainOrPlatform): NativeAddress<T>

- #### Type Parameters

  - #### T extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### chainOrPlatform: T

  #### Returns NativeAddress<T>

  - Defined in definitions/src/universalAddress.ts:28

### toString

- toString(): string

- #### Returns string

  Implementation of Address.toString

  - Defined in definitions/src/universalAddress.ts:35

### toUint8Array

- toUint8Array(): Uint8Array

- #### Returns Uint8Array

  Implementation of Address.toUint8Array

  - Defined in definitions/src/universalAddress.ts:38

### toUniversalAddress

- toUniversalAddress(): UniversalAddress

- #### Returns UniversalAddress

  Implementation of Address.toUniversalAddress

  - Defined in definitions/src/universalAddress.ts:41

### unwrap

- unwrap(): Uint8Array

- #### Returns Uint8Array

  Implementation of Address.unwrap

  - Defined in definitions/src/universalAddress.ts:32

### `Static` instanceof

- instanceof(address): address is UniversalAddress

- #### Parameters

  - ##### address: any

  #### Returns address is UniversalAddress

  - Defined in definitions/src/universalAddress.ts:53

### `Static` isValidAddress

- isValidAddress(address, format?): boolean

- #### Parameters

  - ##### address: string

  - ##### format: "hex" | "base58" | "bech32" | "algorandAppId" | "sha256" = "hex"

  #### Returns boolean

  - Defined in definitions/src/universalAddress.ts:49

### `Private` `Static` stringToUint8Array

- stringToUint8Array(address, format): Uint8Array

- #### Parameters

  - ##### address: string

  - ##### format: "hex" | "base58" | "bech32" | "algorandAppId" | "sha256"

  #### Returns Uint8Array

  - Defined in definitions/src/universalAddress.ts:61

Generated using TypeDoc